#
# spec file for package sonnet
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sonum   5
Name:           sonnet
Version:        4.97.0
Release:        0
BuildRequires:  aspell-devel
BuildRequires:  cmake >= 2.8.12
# Enchant plugin is currently disabled upstream
#BuildRequires:  enchant-devel
BuildRequires:  extra-cmake-modules >= 0.0.11
BuildRequires:  fdupes
BuildRequires:  kf5-filesystem
BuildRequires:  pkgconfig(Qt5Core) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2.0
BuildRequires:  pkgconfig(hunspell)
Summary:        KDE spell checking library
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source0:        sonnet-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Sonnet is a plugin-based spell checking library for Qt-based
applications. It supports several different plugins, including
HSpell, Enchant, ASpell and HUNSPELL.

%package -n libKF5SonnetCore%sonum
Summary:        KDE spell checking library
Group:          System/GUI/KDE
Obsoletes:      libKF5SonnetCore4

%description -n libKF5SonnetCore%sonum
Sonnet is a plugin-based spell checking library for Qt-based
applications. It supports several different plugins, including
HSpell, Enchant, ASpell and HUNSPELL.

%package -n libKF5SonnetUi%sonum
Summary:        KDE spell checking library
Group:          System/GUI/KDE

%description -n libKF5SonnetUi%sonum
Sonnet is a plugin-based spell checking library for Qt-based
applications. It supports several different plugins, including
HSpell, Enchant, ASpell and HUNSPELL.

%package devel
Summary:        KDE spell checking library: Build Environment
Group:          Development/Libraries/KDE
Requires:       extra-cmake-modules
Requires:       libKF5SonnetCore%sonum = %{version}
Requires:       libKF5SonnetUi%sonum = %{version}
Requires:       pkgconfig(Qt5Core) >= 5.2.0

%description devel
Sonnet is a plugin-based spell checking library for Qt-based
applications. It supports several different plugins, including
HSpell, Enchant, ASpell and HUNSPELL. Development files.

%prep
%setup -q

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes -s %{buildroot}

%post -n libKF5SonnetCore%sonum -p /sbin/ldconfig

%postun -n libKF5SonnetCore%sonum -p /sbin/ldconfig

%post -n libKF5SonnetUi%sonum -p /sbin/ldconfig

%postun -n libKF5SonnetUi%sonum -p /sbin/ldconfig

%files -n libKF5SonnetCore%sonum
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/libKF5SonnetCore.so.*
%{_kf5_plugindir}/
%{_kf5_datadir}/sonnet/

%files -n libKF5SonnetUi%sonum
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/libKF5SonnetUi.so.*

%files devel
%defattr(-,root,root)
%{_kf5_libdir}/libKF5SonnetCore.so
%{_kf5_libdir}/libKF5SonnetUi.so
%{_kf5_libdir}/cmake/KF5Sonnet/
%{_kf5_includedir}/*.h
%dir %{_kf5_includedir}/*/
%{_kf5_includedir}/*/
%{_kf5_mkspecsdir}/qt_Sonnet*.pri

%changelog
